API Monitor free
arrow right To plugin page
Verified
Fixed

WordPress Affiliate For WooCommerce premium plugin <= 4.7.0 - Authenticated IDOR vulnerability leading to PayPal email change

6.4
CVSS 3.1 score Medium severity
Report
Monitoring Not reported to be exploited

Find out about vulnerable plugins in your websites for free.

Scan your website arrow right
Software
Affiliate For WooCommerce
Type
Plugin
Vulnerable versions
<= 4.7.0
Fixed in
4.8.0
PSID
6aca86b6b7c9
Classification
Insecure Direct Object References (IDOR)
OWASP Top 10
A5: Broken Access Control
Required privilege
WooCommerce PayPal Payments plugin (free) should be at least installed to get the extra input field in the user profile page.
Publicly disclosed
2022-08-01

Details

Authenticated IDOR vulnerability leading to PayPal email change discovered by Vlad Vector (Patchstack) in WordPress Affiliate For WooCommerce premium plugin (versions <= 4.7.0).

Solution

Update the WordPress Affiliate For WooCommerce plugin to the latest available version (at least 4.8.0).

References

Plugin changelog

Other known vulnerabilities for Affiliate For WooCommerce

Submit vulnerabilities and become a verified Alliance member

Learn more

Let us know if we have missed a vulnerability reported elsewhere

Report arrow right Close

Thank you for contributing!

Successfully submit vulnerabilities and receive an invite to our Alliance platform.

Learn more arrow right Close